*, ::before, ::after {
	box-sizing: border-box;
  }
/* Stiky Header */
header{
	position: fixed;
	width: 100%;
	background-color: #FFF;
	border-bottom: solid 1px #E5E5E5;
	margin-block-start: 0;
	z-index: 500;
}

header .wp-block-site-logo img, #nav-user-connect .wp-block-button__link{
	transition: all 0.3s ease-in-out;
}
header .user-jump a{
	display: inline-flex;
	justify-content: flex-end;
	align-items: center;
	text-transform: uppercase;
	font-size: 12px;
	border: solid 1px #dedede;
	border-radius: 4px;
	padding: 2px 2px 2px 6px;
	transition: all  1s ease-in;
}
header .user-jump a:hover{
	border-color: var(--wp--preset--color--accent-1);
}
header .user-jump a img{
	width: 32px;
	object-fit: contain;
	background-color: #FFF;
	margin-left: 6px;
	border-left: solid 1px #ededed;
	padding-left: 4px;
}
header.fixed .wp-block-site-logo img{
	width: 80px;
}
header.fixed .content{
	padding: 8px 0 !important;
	transition: all  0.3s ease-in;
}

/* Hover */
/* Shrink */
.hvr-shrink, .wp-block-button__link, input.buttons {    
    display: flex;
    vertical-align: middle;
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-property: transform;
    transition-property: transform;
}
.hvr-shrink:hover, .wp-block-button__link:hover, input.buttons:hover {
    -webkit-transform: scale(0.9);
    transform: scale(0.9);
}

/* Animate */
.animate-box.fade-in {
	opacity: 0;
	-webkit-transition: all 0.5s ease-in-out;
	transition: all 0.5s ease-in-out;
	-webkit-transform: translateY(100px);
	transform: translateY(100px);
}
.animate-box.visible.fade-in {
	opacity: 1;
	-webkit-transform: translateY(0);
	transform: translateY(0);
}
.banner-home > .wp-block-group.has-background{
	animation: bottomUp 1.5s ease-out forwards;
}
.right-left-animate{
	animation: rightLeft 1.5s ease-out forwards;
}
@keyframes bottomUp {
	0% {
		animation-timing-function: ease-in;
		background-position: -200% 50%;
	}
	100% {
		animation-timing-function: ease-out;
		background-position: 0% 50%;
	}
}
@keyframes rightLeft {
	
	0% {
		animation-timing-function: ease-in;
		opacity: 0;
		transform: translateX(250px);
	}

	38% {
		animation-timing-function: ease-out;
		opacity: 1;
		transform: translateX(0);
	}

	55% {
		animation-timing-function: ease-in;
		transform: translateX(68px);
	}

	72% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}

	81% {
		animation-timing-function: ease-in;
		transform: translateX(32px);
	}

	90% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}

	95% {
		animation-timing-function: ease-in;
		transform: translateX(8px);
	}

	100% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}
}
/* Block styles */

/* Interface Development */
.sexy-counter-wrapper{
	display: flex;
	gap: var(--wp--preset--spacing--50);
}
.sexy-counter-wrapper .sexy-counter-card{
	flex-basis: 0;
	flex-grow: 1;
}
.sexy-counter-wrapper .animated-counter{
	font-size: 36px;
	font-weight: 700;
	margin-top: -16px;
	color: var(--wp--preset--color--accent-1);
}

/* Form Styles */
input:-webkit-autofill {
    -webkit-box-shadow: inset 0 0 0px 9999px white;
}
input:-webkit-autofill:focus {
    -webkit-box-shadow:0 0 0 50px white inset;
}
::-webkit-input-placeholder { /* Chrome */
	color: #33333386;
}
::-moz-placeholder { /* Firefox 19+ */
	color: #33333386;
}
select:invalid,
select option[value=""] {
  color: #33333386;
}

form{
	position: relative;
}
form fieldset, .register_links, .login_status{
	position: relative;
	max-width: 960px;
	margin: 4% auto;
	border: solid 1px #dedede;
	border-radius: 16px;
	padding: 32px;
	background: #FFF;
	background: linear-gradient(180deg,#FFF 0%, #FFF 80%, #F5F5F5 100%);
}
#wpmem_login_form fieldset, #wpmem_register_form fieldset{
	padding-bottom: 80px;
}
form fieldset > div{
	margin-bottom: 24px;
	position: relative;
}
form label{
	font-size: 14px;
}
form fieldset > .button_div {
	display: flex;
	align-items: center;
	position: absolute;
	right: 32px;
	bottom: 0;
}
input.buttons {
	font-family: var(--wp--preset--font-family--google-sans-flex);
    background-color: var(--wp--preset--color--accent-1);
    color: #FFF;
    border: none;
    padding: 12px 24px;
    border-radius: 9999em;
    font-size: 16px;
	font-weight: 700;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    text-transform: uppercase;  
}
.req-text{
	display: none;
}
form fieldset > label, form fieldset > legend{
	display: none;
}
input[type="text"], input[type="email"], input[type="url"], input[type="password"], textarea, select {
	position: relative;
	font-family: var(--wp--preset--font-family--inter);
	font-weight: 300;
	box-sizing: border-box;
	padding: 12px 0;
	min-width: 100%;
	border: none;
	border-bottom: solid 1px #dedede;
	font-size: 16px;
	color: #333333;
	background-color: #FFF;
}
input:focus, textarea:focus, select:focus {
	outline: none;
	border-bottom: solid 2px var(--wp--preset--color--accent-1);
}

#wpmem_register_form .wpmem-pw-field {
	position: relative;
}
#wpmem_register_form .wpmem-pw-field input[type="password"],
#wpmem_register_form .wpmem-pw-field input[type="text"] {
	padding-right: 44px;
}
.wpmem-pw-toggle {
	position: absolute;
	display: block;
	width: 24px;
	height: 24px;
	right: 10px;
	top: 50%;
	transform: translateY(-50%);
	background-image: url(../images/ic-visibility.svg);
	background-repeat: no-repeat;
	background-size: contain;
	background-color: transparent;
	cursor: pointer;
}
.dashicons-visibility::before {
	display: none;
}
.wpmem-pw-toggle:focus, .wpmem-pw-toggle:focus-visible, .wpmem-pw-toggle:hover, .wpmem-pw-toggle:active {
	filter: brightness(0) saturate(100%) invert(10%) sepia(95%) saturate(5580%) hue-rotate(353deg) brightness(121%) contrast(87%);
}
#wpmem_login .link-text{
	font-size: 14px;
}
#wpmem_login .link-text-register, .link-text-username{
	display: none;
}
.wpmem-register-intro{
	text-align: center;
    color: #FFF;
    padding: 0 16px;
}
.wpmem-register-intro h3, .register_status {
	font-family: var(--wp--preset--font-family--google-sans-flex);
    font-style: normal;
    font-weight: 700;
	font-size: var(--wp--preset--font-size--large);
	color: #FFF;
	text-align: center;
    letter-spacing: -0.1px;
    line-height: 1.125;
    text-transform: uppercase;
	margin-bottom: 0;
}
.wpmem-register-intro p{
	margin-top: 8px;
}
#wpmem_pwdreset_form fieldset, #wpmem_pwdchange_form fieldset{
	padding-bottom: 80px;
	max-width: 480px;
}
#wpmem_profile_form fieldset .div_text, #wpmem_profile_form fieldset .div_textarea{
	width: 42%;
	float: left;
	margin: 10px 4%;
}
#wpmem_profile_form fieldset .div_textarea{
	width: 92%;
}

#wpmem_profile_form fieldset .field {
	position: relative;
}
#wpmem_profile_form fieldset .field input, #wpmem_profile_form fieldset .field textarea {
	padding-left: 32px;
}
#wpmem_profile_form fieldset .div_checkbox{
	display: flex;
	gap: 8px;
	clear: both;
	align-items: center;
}
#wpmem_profile_form fieldset .field::before {
	content: "";
	position: absolute;
	display: block;
	z-index: 1;
	top: 8px;
	left: 0;
	width: 24px;
	height: 24px;
    background-repeat: no-repeat;
    background-position: left center;
    background-size: contain;
	opacity: 0.2;
}
#wpmem_profile_form fieldset .field.field--my_compny_right::before, #wpmem_profile_form fieldset .field.field--wpmem_reg_page::before, #wpmem_profile_form fieldset .field.field--a::before{
	display: none;
}
.field--company_name::before{ background-image: url(../images/ic-company.svg); }
.field--business_number::before{ background-image: url(../images/ic-business-number.svg); }
.field--user_url::before{ background-image: url(../images/ic-website.svg); }
.field--description::before{ background-image: url(../images/ic-desc.svg); }
.field--first_name::before, .field--last_name::before{ background-image: url(../images/ic-person.svg); }
.field--billing_address_1::before, .field--billing_city::before, .field--billing_postcode::before, .field--billing_country::before{ background-image: url(../images/ic-address.svg); }
.field--billing_phone::before{ background-image: url(../images/ic-phone.svg); }
.field--user_email::before{ background-image: url(../images/ic-mail.svg); }

/* Message Styles */
.login_status {
	max-width: 480px;
	text-align: center;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}
.login_status a {
    margin: 16px 0 0 0;
    color: var(--wp--preset--color--accent-1);
    display: flex;
    align-items: center;
}
.login_status a::before{
	content: "";
	display: inline-block;
	width: 20px;
	height: 20px;
	background-image: url(../images/ic-close.svg);
	background-repeat: no-repeat;
	background-size: contain;
	background-color: var(--wp--preset--color--accent-1);
	border-radius: 9999em;
	margin-right: 8px;
	vertical-align: middle;
}
.wpmem_msg, #wpmem_restricted_msg{
	position: fixed;
	right: 0;
	bottom: 0;
	width: 100%;
	max-width: 100%;
	z-index: 100;
	display: flex;
	align-items: center;
	width: 100%;
	color: #FFF;
	padding: 16px;
	transition: all 0.3s ease-in-out;
} 
.wpmem_msg.success{
	background-color: var(--wp--preset--color--accent-2);
}
.wpmem_msg.error, #wpmem_restricted_msg{
	background-color: var(--wp--preset--color--accent-1);
}
.wpmem_msg.success::before, .wpmem_msg.error::before, .wpmem_msg .close-btn, #wpmem_restricted_msg::before, #wpmem_restricted_msg .close-btn{
	content: "";
	display: block;
	width: 68px;
	height: 68px;
	background-image: url(../images/ic-error.svg);
	background-repeat: no-repeat;
	background-size: contain;
	margin-right: 16px;
}
.wpmem_msg.success::before{
	background-image: url(../images/ic-success.svg);
}
.wpmem_msg .close-btn{
	position: absolute;
	right: 0;
	top: 16px;
	width: 32px;
	height: 32px;
	font-size: 0;
	background-image: url(../images/ic-close.svg);
	background-color: transparent;
	cursor: pointer;
}
.wpmem_msg, #wpmem_restricted_msg {
	bottom: -9999px;
	animation: slideUp 1s ease forwards;
}
@keyframes slideUp {
	to {
	  bottom: 0;
	}
}
.wpmem_msg.close{
	display: none;
}
/* Company Logo Upload */
.company-logo-upload{
	max-width: 480px;
	margin: 0 auto;
}
.company-logo-upload fieldset > p {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 8px;
}
.company-logo-upload .logo-box {
    position: relative;
    display: flex;
    width: 240px;
    height: 120px;
    border: solid 1px #dedede;
    border-radius: 8px;
    margin-right: 16px;
    padding: 10px;
    background-image: url(../images/ic-picture-add.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 36px;
}
.company-logo-upload .logo-box:hover{
	border-color: var(--wp--preset--color--accent-1);
}
.company-logo-upload .logo-box img{
	width: 100%;
	height: auto;
	object-fit: contain;
	background-color: #FFF;
}
.company-logo-upload .logo-box input[type="file"]{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	cursor: pointer;
}
.company-logo-upload label{
	font-family: var(--wp--preset--font-family--google-sans-flex);
	font-size: 16px;
}
/* Add Job */
.form-match .block-content {
	display: flex;
	align-items: flex-start;
}
label.ic-label{
	display: inline-flex;
	align-items: center;
	padding-top: 5px !important;
}
label.ic-label::before{
	content: "";
	display: inline-block;
	width: 40px;
	height: 40px;
	background-image: url(../images/ic-star.svg);
	background-repeat: no-repeat;
	background-size: contain;
	opacity: 0.2;
	margin-right: 8px;
}
label.ic-label.label-experience::before{ background-image: url(../images/ic-star.svg);}
label.ic-label.label-education::before{ background-image: url(../images/ic-student.svg);}
label.ic-label.label-languages::before{ background-image: url(../images/ic-language.svg);}
label.ic-label.label-hard-skills::before{ background-image: url(../images/ic-tools.svg);}
label.ic-label.label-soft-skills::before{ background-image: url(../images/ic-star-happy.svg);}
label.ic-label.label-education::before{ background-image: url(../images/ic-student.svg);}
label.ic-label.label-education::before{ background-image: url(../images/ic-student.svg);}
.label-title{
	font-family: var(--wp--preset--font-family--google-sans-flex);
	text-transform: uppercase;
	font-weight: 700;
	font-size: 14px;
}
.form-match .label-title {
    flex: 0 0 40%;
    padding: 0;
    flex-wrap: wrap;
    margin-top: -15px;
}
.form-match .label-title small {
	font-size: 11px;
	color: #33333386;
	padding-left: 48px;
	width: 80%;
	margin-top: -8px;
}
.form-match .block-content .align-right {
	flex: 0 0 60%;
	min-width: auto;
}
.form-match .block-box.row {
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 24px;
}
.form-match .button_div{
	justify-content: flex-end;
	position: relative;
	right: 0;
	margin-top: 32px;
}
.form-match #add-job-title a{
	display: flex;
	align-items: center;
	justify-content: flex-end;
	text-transform: uppercase;
	font-size: 14px;
	color: #949494;
}
.form-match #add-job-title a:hover{
	color: var(--wp--preset--color--accent-1);
}
.form-match #add-job-title a::after {
    content: "";
    display: inline-block;
    width: 20px;
    height: 20px;
    background-image: url(../images/picto-plus-small.svg);
    background-repeat: no-repeat;
    background-size: contain;
    margin-left: 8px;
}


/* Range Input */
.range-wrapper {
    position: relative;
    width: 100%;
	padding: 12px 0;
}
.slider {
	appearance: none;
	-webkit-appearance: none;
	width: 100%;
	height: 10px;
	border: none;
	border-radius: 5px;
	background: #d3d3d3;
	outline: none;
	-webkit-transition: .2s;
	transition: opacity .2s;
}
.slider:hover, .slider:focus, .slider:active {
	border: none;
}
.slider::before,
.slider::after {
	content: "0";
	position: absolute;
	bottom: -10px;
	left: 0;
	font-size: 16px;
	color: #dedede;
}
.slider::after {
	content: "50";
	left: auto;
	right: 0;
}
.slider::-webkit-slider-thumb {
	-webkit-appearance: none;
	appearance: none;
	width: 25px;
	height: 25px;
	background: var(--wp--preset--color--accent-1);
	border-radius: 9999em;
	cursor: pointer;
}
.slider::-moz-range-thumb {
	width: 25px;
	height: 25px;
	background: var(--wp--preset--color--accent-1);
	border-radius: 9999em;
	cursor: pointer;
}
.result {
	position: absolute;
	top: -24px;
	transform: translateX(-50%);
	font-size: 16px;
	font-weight: 700;
	color: #333333;
	padding: 4px 8px;
	border-radius: 4px;
	pointer-events: none;
	white-space: nowrap;
}
/* Radio / Checkbox */
.radio-group input, .checkbox-group input {
  width: 20px;
  height: 20px;
  accent-color: var(--wp--preset--color--accent-1);
  margin: 0;
}
.radio-group, .checkbox-group {
	display: flex;
	flex-wrap: wrap;
	gap: 16px;
	width: 100%;
}
.radio-group > *, .checkbox-group > * {
    width: 30%;
    display: flex;
    align-items: center;
    gap: 4px;
}
/* Radio Switch */
.radio-switch {
	position: relative;
	float: right;
	margin: 0;
	width: 150px;
	height: 22px;
	background-color: #d3d3d3;
	border-radius: 9999em;
	display: flex;
	align-items: center;
}
.radio-switch.big {
	width: 320px;
	height: 42px;
	margin-top: 16px;
}
.radio-switch input, .div_radio input {
	display: none;
}
.radio-switch label {
	flex: 1;
	text-align: center;
	color: #FFFFFF;
	z-index: 2;
	cursor: pointer;
	text-transform: uppercase;
	font-size: 10px;
}
.radio-switch.big label{
	font-size: 12px;
	font-family: var(--wp--preset--font-family--google-sans-flex);
	font-weight: 700;
}
.switch-selection {
	position: absolute;
	width: 50%;
	height: 100%;
	background-color: var(--wp--preset--color--accent-1);
	border-radius: 9999em 0 0 9999em;
	transition: transform 0.3s;
}
.option-1:checked~.switch-selection {
	transform: translateX(0);
}
.option-2:checked~.switch-selection {
	transform: translateX(100%);
	border-radius: 0 9999em 9999em 0;
}
/* Radio Button */
.div_radio {
    display: flex;
    gap: 2%;
    flex-wrap: wrap;
    margin: 0;
}
.div_radio label.radio {
	font-family: var(--wp--preset--font-family--google-sans-flex);
	text-transform: uppercase;
    display: flex;
    padding: 20px 30px;
    border: 1px solid #ddd;
    border-radius: 8px;
    cursor: pointer;
    background: #f7f7f7;
    font-weight: 700;
    transition: all 0.2s ease;
    text-align: center;
    width: 48%;
    justify-content: center;
    align-items: center;
}
.div_radio label.radio:hover , .div_radio input[type="radio"]:checked + label.radio {
    background: var(--wp--preset--color--accent-1);
    color: #fff;
}
